## iso-snapshot-cli 22.4.01

=== debian/changelog ===
iso-snapshot-cli (22.4.01) mx; urgency=medium

  * Make sure the output text is added at the end of output box (clicking inside the output box should not more the cursor arround and clobber text)
  * Don't run runuser command inside a login shell; it can create problems if user has scripts that output text at login

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Apr 2022 17:54:54 -0400

iso-snapshot-cli (22.4) mx; urgency=medium

  * Check if output file already exits and ask user to change the name or remove the existent file.
  * Unbuffer mksqashfs if ran from CLI and if 'expect' package is installed.
  * Preserve /var/log/apache2 to make sure Apache starts.
  * Add option to man page.

 -- Adrian <adrian@mxlinux.org>  Tue, 12 Apr 2022 13:57:36 -0400

iso-snapshot-cli (22.3.01) mx; urgency=medium

  * Minor: change system size info file name.

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Mar 2022 19:15:37 -0500

iso-snapshot-cli (22.3) mx; urgency=medium

  * Save file system size info in a file under /antiX/ folder to be used by installer

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Mar 2022 14:54:20 -0500

iso-snapshot-cli (22.2.05) mx; urgency=medium

  * Fix missing blank space when searching for editor

 -- Adrian <adrian@mxlinux.org>  Fri, 18 Feb 2022 17:41:29 -0500

iso-snapshot-cli (22.2.04) mx; urgency=medium

  * Add option to specify temporary work directory in /etc/iso-snapshot-cli.conf file 
  *   for example: workdir=/tmp, program will check if the folder exits and if it's 
  *   the right partition type (only partitions that allow bind mounts can work)
  * Updated iso-snapshot-cli.conf file format to make sure comments are not lost when 
  *   writing back to file

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Feb 2022 22:16:00 -0500

iso-snapshot-cli (22.2.03) mx; urgency=medium

  * Fix displaying critical error regarding missing compression algorithm in kernel
  * Improve text editor detection

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Feb 2022 00:22:55 -0500

iso-snapshot-cli (22.2.02) mx; urgency=medium

  * Fix starting editor

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Feb 2022 16:05:53 -0500

iso-snapshot-cli (22.2.01) mx; urgency=medium

  * Fix starting krite/kate as normal users when editing exlusion file

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Feb 2022 13:29:48 -0500

iso-snapshot-cli (22.2) mx; urgency=medium

  * Add Steam (~/.steam) and VirtualBox folders exclusion options

 -- Adrian <adrian@mxlinux.org>  Fri, 04 Feb 2022 16:38:45 -0500

iso-snapshot-cli (21.9.01) mx; urgency=medium

  * Fix: don't create /etc/skel/Desktop when not needed

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 11:36:30 -0400

iso-snapshot-cli (21.9) mx; urgency=medium

  * Make sure Installer icon shows on desktop in Plasma

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Sep 2021 00:19:25 -0400

iso-snapshot-cli (21.8) mx; urgency=medium

  * Improve free space detection: move work_dir to a different partition if needed and possible

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Aug 2021 00:08:22 -0400

iso-snapshot-cli (21.7.01) mx; urgency=medium

  * Add --compression-level CLI option
  * Make zstd default for monthly snapshots

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Jul 2021 16:55:35 -0400

iso-snapshot-cli (21.7) mx; urgency=medium

  * Add ZSTD compression support

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Jul 2021 20:51:41 -0400

iso-snapshot-cli (21.6.02) mx; urgency=medium

  * adjust config file token replacement

 -- fehlix <fehlix@mxlinux.org>  Tue, 29 Jun 2021 17:41:06 +0000

iso-snapshot-cli (21.6.01) mx; urgency=medium

  * Fix: calculating occupied size when running live

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Jun 2021 02:23:07 -0400

iso-snapshot-cli (21.6) mx; urgency=medium

  * Add --override-size/-o option to skip calculating free spece

 -- Adrian <adrian@mxlinux.org>  Fri, 04 Jun 2021 18:59:18 -0400

iso-snapshot-cli (21.3.02) mx; urgency=medium

  * fix: make it more clear that the snapshot is done

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Mar 2021 12:06:55 -0400

iso-snapshot-cli (21.3.01) mx; urgency=medium

  * fix translation problem

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Mar 2021 17:36:03 -0500

iso-snapshot-cli (21.3) mx; urgency=medium

  * don't copy it /etc/skel if xdg-user-dirs-update.real exists

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Mar 2021 20:13:28 -0500

iso-snapshot-cli (21.2.01) mx; urgency=medium

  * add man page

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Feb 2021 19:04:48 -0500

iso-snapshot-cli (21.2) mx; urgency=medium

  * fix: use regular expression to remove /snapshot name

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Feb 2021 11:27:48 -0500

iso-snapshot-cli (21.1.04) mx; urgency=medium

  * fix: size conversion

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Jan 2021 15:46:40 -0500

iso-snapshot-cli (21.1.03) mx; urgency=medium

  * make sure to add "/snapshot" to the snapshot dir

 -- Adrian <adrian@mxlinux.org>  Sun, 31 Jan 2021 13:05:48 -0500

iso-snapshot-cli (21.1.02) mx; urgency=medium

  * update copy-initrd-modules

 -- Adrian <adrian@mxlinux.org>  Tue, 26 Jan 2021 22:02:39 -0500

iso-snapshot-cli (21.1.01) mx; urgency=medium

  * Fix select location button

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Jan 2021 22:07:15 -0500

iso-snapshot-cli (21.1) mx; urgency=medium

  * rewrite to allow CLI/scripted mode, use -h to list options
  * catch SIGINT, SIGTERM, SIGHUP and cleanup before closing
  * check if enough space on partition (for /root, for now it ignores /home) 

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Jan 2021 12:01:32 -0500

iso-snapshot-cli (20.12.02) mx; urgency=medium

  * add -k/--kernel option to take a snapshot with a different kernel
 
 -- Adrian <adrian@mxlinux.org>  Thu, 31 Dec 2020 18:19:03 -0500

iso-snapshot-cli (20.12.01) mx; urgency=medium

  * add checksum checkbox option
  * take ownership for snapshot folder and resulting files
  * some code fixes

 -- Adrian <adrian@mxlinux.org>  Sat, 26 Dec 2020 10:15:39 -0500


