=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease iso-snapshot-cli.pro
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	gzip -kf manual/iso-snapshot-cli.8
	dh_auto_build

# Uncomment if building in Virtual Box
override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym --parallel
